1. Webhooks
BPN OpenAPI
  • Get started
    • Introduction to BPN
    • Introduction to API
    • Architecture Overview
    • Authentication
    • Environments
    • Response envelope
    • Idempotency
  • Guides
    • Virtual Account
      • Virtual Account Overview
      • VA · Payin
      • VA · Statuses
      • VA · Currencies & limits
      • VA · Payout
      • VA · RFI
    • Wallet
      • Wallet · Transfer
      • Wallet · Assets & limits
      • Wallet · Deposit whitelist
      • Wallet · PaymentLink
      • Wallet Overview
      • Wallet · Deposit
      • Wallet · Statuses
      • Wallet · Withdraw
    • Convert
      • Convert Overview
      • Convert · Quote & submit
      • Convert · Business types
      • Convert · Pairs & limits
      • Convert · Statuses
  • API Reference
    • Virtual Account
      • Virtual Account field notes
      • Inquiry Master VA Balance
      • List Primary Virtual Accounts
      • Create Virtual Account
      • Get Virtual Account Detail
      • List Virtual Account
      • List Virtual Account Orders
      • Get Virtual Account Order Detail
      • Refund Virtual Account Order
      • List RFI Sub Virtual Account
      • Get Sub Virtual Account RFI Template Info
      • Sub Virtual Account Submit RFI
      • Add Bank Account
      • List Bank Account
      • List Banks
      • Payout via Virtual Account
      • Send Email Verify Code
    • Wallet
      • Wallet field notes
      • Deposit Whitelist
        • Get Deposit Whitelist Options
        • Register Deposit Source Address
        • List Deposit Source Addresses
        • Get Deposit Source Address
        • Disable Deposit Source Address
        • Submit Payer Details for a Received Deposit
        • Save Sub-wallet Payer Profile
        • Update Sub-wallet Payer Profile
        • Get Sub-wallet Payer Profile
      • Get Asset Balance
      • Get Deposit Address
      • Add Deposit Sender
      • Add Withdraw Whitelist
      • Delete Withdraw Whiltelist
      • Request Withdraw
      • Query Wallet Internal Transfer Detail
      • List Wallet Internal Transfer order
      • Wallet Internal Transfer
      • Create Sub Account
      • Query Transaction History
      • List Wallets
      • List Sub Account
      • Get Transaction Detail
      • List Wallet Transactions
      • Get Wallet Transaction Detail
    • Payment Link
      • Abnormal fund
        • Abnormal funds
        • Matchable Payment links
        • Link Order(Abnormal fund)
        • Submit to platform
      • Create Payment Link
      • List Payment links
      • Get Curreny Network Config
    • Convert
      • Convert field notes
      • Inquery FX Rate
      • Get Stablecoin Quote
      • Create Stable Order
      • Get Order (Single) Detail
      • List Orders(Batch)
    • KYB
      • Share KYB/KYC Info For Sub User
      • Get KYB Sub User Status
    • Reconciliation
      • Get Reconciliation Order List By Page
    • External Provider
      • FE: Create stablecoin collection sub-account link
      • FE: Deposit Travel Rule
      • External Provider · Deposit whitelist
      • Create stablecoin collection sub-account link
      • Get sub wallet account
      • List sub wallet accounts
      • Change sub wallet status
      • Query stablecoin collection order list
      • Query stablecoin collection order status
      • Get quote
      • Accept stablecoin collection order
      • Reject stablecoin collection order
      • Query USD balance
      • USD Payout (withdrawal)
      • Query USD Payout order status
      • Query USD Payout order list
    • Mock
      • Mock Virtual account Payin Order
      • Mock wallet deposit transaction
      • Mock Payin Order Refund
      • Mock Payout Order Update Status
    • Pay Session
      • Request Pay Session
  • Webhooks
    • Webhooks Overview
    • KYB notifications
    • Event catalogue
    • Resend Fail Webhook
      POST
    • Open Virtual Account Status
    • Virtual Account Payment Status
    • Virtual Account Invoice update
    • Transaction Status Notification
    • KYB Status Notification
    • Deposit Sender Detail Required
    • Abnormal Fund Notification
    • WALLET_TRANSFER_ORDER_UPDATED
    • Sub Virtual Account RFI Required
    • Sub Wallet Update
    • wallet address whitelist Update
    • Crypto Deposit Order Notification
    • Collect Order Updated
    • Usd Payout Order Updated
    • onboard result
    • partner order status
    • PaymentLink Notification
    • Deposit Whitelist Notification
  • Partner Flow
    • inquiry supported currency
    • KYC/KYB Sharing
    • inquiry onboard status
    • get price
    • Create order
    • order list
    • inquiry single order
    • get user deposit address
    • get payment instruction
    • sync fund notification
    • daily settlement records
  • Appendix
    • Enums quick reference
    • Enum
    • Virtual Account(VA) Support List & KYB requirement
  • Release Notes & Changelog
  • Errors
    • Error codes catalogue
  • Change Log
    • 2026-09-21 Virtual Account independent refund orders
    • Wallet deposit source-address whitelist
  1. Webhooks

PaymentLink Notification

Webhook
POST
paymentLinkStatusUpdate

Webhook Status Flow#

One-Time Payments#

init -> active -> processing -> completed, or active -> expired.

Permanent Payment Links#

Parent link: created -> active -> remains active and reusable.
Each payment: payment matched -> child payment record (paymentId, referencePaymentId) -> processing -> completed.
A child becomes completed only after all required merchant fund transfers succeed.
No order-status notification is emitted only for entering processing; completion is notified when the child becomes completed.

Request

Header Params

Body Params application/json

Example
{
    "eventId": "string",
    "eventType": "PAYMENT_LINK_UPDATED",
    "timestamp": 0,
    "data": {
        "paymentId": "string",
        "referencePaymentId": "sample_parentPaymentId",
        "requestId": "sample_requestId",
        "userOrderNo": "string",
        "productRemark": "string",
        "recipientName": "string",
        "recipientAccountId": "string",
        "fiatCurrency": "string",
        "fiatAmount": "string",
        "cryptoCurrency": "string",
        "cryptoAmount": "string",
        "quotePrice": "string",
        "supportCurrency": "string",
        "supportNetwork": "string",
        "payerInfo": {
            "payerNameUnavailable": true
        },
        "returnUrl": "http://example.com",
        "status": "init",
        "paymentLinkType": "permanent",
        "paymentValidTime": 1,
        "paymentLink": "http://example.com",
        "effectiveTime": 0,
        "expiresTime": 0,
        "createTime": 0
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'API-KEY: <api-key>' \
--header 'API-SIGNATURE: <api-key>' \
--header 'API-TIMESTAMP: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "eventId": "string",
    "eventType": "PAYMENT_LINK_UPDATED",
    "timestamp": 0,
    "data": {
        "paymentId": "string",
        "referencePaymentId": "sample_parentPaymentId",
        "requestId": "sample_requestId",
        "userOrderNo": "string",
        "productRemark": "string",
        "recipientName": "string",
        "recipientAccountId": "string",
        "fiatCurrency": "string",
        "fiatAmount": "string",
        "cryptoCurrency": "string",
        "cryptoAmount": "string",
        "quotePrice": "string",
        "supportCurrency": "string",
        "supportNetwork": "string",
        "payerInfo": {
            "payerNameUnavailable": true
        },
        "returnUrl": "http://example.com",
        "status": "init",
        "paymentLinkType": "permanent",
        "paymentValidTime": 1,
        "paymentLink": "http://example.com",
        "effectiveTime": 0,
        "expiresTime": 0,
        "createTime": 0
    }
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{}
Previous
partner order status
Next
Deposit Whitelist Notification
Built with